Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.request
Class URLContext

    java.lang.Object
      org.jboss.portal.server.request.URLContext

    public final class URLContext

extends java.lang.Object

URL information that does not belong to the url value itself but rather to the context it represents for this URL.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`static int` | `AUTH_MASK` Mask for authenticated bit.
`static int` | `SEC_MASK` Mask for secure bit.

Method Summary
`URLContext` | `asAuthenticated()`
`URLContext` | `asNonAuthenticated()`
`URLContext` | `asNonSecured()`
`URLContext` | `asSecured()`
`int` | `getMask()`
`boolean` | `isAuthenticated()`
`boolean` | `isSecure()`
`static URLContext` | `newInstance(boolean secure, boolean authenticated)`
`static URLContext` | `newInstance(int mask)`
`URLContext` | `withAuthenticated(java.lang.Boolean wantAuthenticated)`
`URLContext` | `withSecured(java.lang.Boolean wantSecure)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEC_MASK

    public static final int SEC_MASK

  Mask for secure bit.

  See Also:
    Constant Field Values

### AUTH_MASK

    public static final int AUTH_MASK

  Mask for authenticated bit.

  See Also:
    Constant Field Values

Method Detail

### isSecure

    public boolean isSecure()

### isAuthenticated

    public boolean isAuthenticated()

### withSecured

    public URLContext withSecured(java.lang.Boolean wantSecure)

### asSecured

    public URLContext asSecured()

### asNonSecured

    public URLContext asNonSecured()

### withAuthenticated

    public URLContext withAuthenticated(java.lang.Boolean wantAuthenticated)

### asAuthenticated

    public URLContext asAuthenticated()

### asNonAuthenticated

    public URLContext asNonAuthenticated()

### getMask

    public int getMask()

### newInstance

    public static URLContext newInstance(int mask)

### newInstance

    public static URLContext newInstance(boolean secure,
                                         boolean authenticated)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD